package md

type PushAndroid struct {
	Alert string `json:"alert"` //通知内容
	//BuilderID int64       `json:"builder_id"`  通知栏样式 ID
	Extras interface{} `json:"extras"`
	Title  string      `json:"title"` //通知标题
}
type PushIos struct {
	Alert  interface{} `json:"alert"`
	Extras interface{} `json:"extras"`
	Sound  string      `json:"sound"`
}
type PushIosAlert struct {
	Title string `json:"title"`
	Body  string `json:"body"`
}
type PushAudience struct {
	Alias []string `json:"alias"`
}
type PushRequest struct {
	Platform     interface{} `json:"platform"` //推送平台设置   全部：all  安卓：android iOS：ios ["android", "ios","quickapp"]
	Audience     interface{} `json:"audience"` //全部：all 别名 {"alias" : [ "4314", "892", "4531"] }
	Notification struct {    //通知内容体,是被推送到客户端的内容。
		Android PushAndroid `json:"android"`
		Ios     PushIos     `json:"ios"`
	} `json:"notification"`
	Message struct {
		Extras     interface{} `json:"extras"`
		MsgContent string      `json:"msg_content"`
	} `json:"message"`

	Options struct {
		TimeToLive int `json:"time_to_live"`
	} `json:"options"`
}

type PushParam struct {
	Platform interface{} `json:"platform"` //推送平台设置   全部：all  安卓：android iOS：ios ["android", "ios","quickapp"]
	Audience interface{} `json:"audience"` //全部：all 别名 {"alias" : [ "4314", "892", "4531"] }
	Title    string      `json:"title"`
	Content  string      `json:"content"`
	Extras   interface{} `json:"extras"`
}

type SkipData struct {
	SkipName           string `json:"skip_name"`
	SkipIdentifier     string `json:"skip_identifier"`
	RequiredLogin      string `json:"required_login"`
	RequiredTaobaoAuth string `json:"required_taobao_auth"`
	IsJump             string `json:"is_jump"`
	Url                string `json:"url"`
	Data               string `json:"data"`
}
type NextCommModData struct {
	FromCoinId     string      `json:"from_coin_id"`
	ToCoinId       string      `json:"to_coin_id"`
	Url            string      `json:"url"`
	AppId          string      `json:"app_id"`
	StoreId        string      `json:"store_id"`
	AlipayUrl      string      `json:"alipay_url"`
	AlipayAppid    string      `json:"alipay_appid"`
	ActivityId     string      `json:"activity_id"`
	Id             string      `json:"id"`
	AdName         string      `json:"ad_name"`
	AndroidAdID    string      `json:"android_ad_id"`
	AndroidMediaID string      `json:"android_media_id"`
	AutoClickAd    string      `json:"auto_click_ad"`
	Autoplay       string      `json:"autoplay"`
	BrandID        string      `json:"brand_id"`
	Conditions     string      `json:"conditions"`
	CreateAt       string      `json:"create_at"`
	EndTime        string      `json:"end_time"`
	Img            string      `json:"img"`
	IosAdID        string      `json:"ios_ad_id"`
	IosMediaID     string      `json:"ios_media_id"`
	IsRecommend    interface{} `json:"is_recommend"`
	LevelLimitID   string      `json:"level_limit_id"`
	LevelLimitName string      `json:"level_limit_name"`
	LevelWeight    string      `json:"level_weight"`
	NeedLocation   int64       `json:"need_location"`
	SdkType        string      `json:"sdk_type"`
	SourceType     string      `json:"source_type"`
	StartTime      string      `json:"start_time"`
	UpdateAt       string      `json:"update_at"`
	VisitCount     string      `json:"visit_count"`
	CountingDown   string      `json:"counting_down" `
	LevelType      string      `json:"level_type"`
	OpenType       string      `json:"open_type" ` //app 应用内打开  browser 系统浏览器打开
}
